## tlslite-ng 0.5.1

=== Makefile ===
# Authors: 
#   Trevor Perrin
#   Hubert Kario - test and test-dev
#
PYTHON2 := $(shell which python2 2>/dev/null)
PYTHON3 := $(shell which python3 2>/dev/null)
COVERAGE := $(shell which coverage 2>/dev/null)
COVERAGE2 := $(shell which coverage2 2>/dev/null)
COVERAGE3 := $(shell which coverage3 2>/dev/null)

.PHONY : default
default:
	@echo To install tlslite run \"./setup.py install\" or \"make install\"

.PHONY: install
install:
	./setup.py install

.PHONY : clean
clean:
	rm -rf tlslite/__pycache__
	rm -rf tlslite/integration/__pycache__
	rm -rf tlslite/utils/__pycache__
	rm -rf tlslite/*.pyc
	rm -rf tlslite/utils/*.pyc
	rm -rf tlslite/integration/*.pyc
	rm -rf unit_tests/*.pyc
	rm -rf unit_tests/__pycache__
	rm -rf dist
	rm -rf docs
	rm -rf build
	rm -f MANIFEST

docs:
	epydoc --html -v --introspect-only -o docs --graph all tlslite

dist: docs
	./setup.py sdist

test:
	cd tests/ && python ./tlstest.py server localhost:4433 . & sleep 1
	cd tests/ && python ./tlstest.py client localhost:4433 .

test-local:
	cd tests/ && PYTHONPATH=.. python ./tlstest.py server localhost:4433 . & sleep 1
	cd tests/ && PYTHONPATH=.. python ./tlstest.py client localhost:4433 .

test-dev:
ifdef PYTHON2
	@echo "Running test suite with Python 2"
	python2 -m unittest discover -v
	cd tests/ && PYTHONPATH=.. python2 ./tlstest.py server localhost:4433 . & sleep 1
	cd tests/ && PYTHONPATH=.. python2 ./tlstest.py client localhost:4433 .
endif
ifdef PYTHON3
	@echo "Running test suite with Python 3"
	python3 -m unittest discover -v
	cd tests/ && PYTHONPATH=.. python3 ./tlstest.py server localhost:4433 . & sleep 1
	cd tests/ && PYTHONPATH=.. python3 ./tlstest.py client localhost:4433 .
endif
ifndef PYTHON2
ifndef PYTHON3
	@echo "Running test suite with default Python"
	python -m unittest discover -v
	cd tests/ && PYTHONPATH=.. python ./tlstest.py server localhost:4433 . & sleep 1
	cd tests/ && PYTHONPATH=.. python ./tlstest.py client localhost:4433 .
endif
endif
	epydoc --check --fail-on-error -v tlslite
	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" tlslite > pylint_report.txt || :
	diff-quality --violations=pylint --fail-under=90 pylint_report.txt
ifdef COVERAGE2
	coverage2 run --branch --source tlslite -m unittest discover
	coverage2 report -m
	coverage2 xml
	diff-cover --fail-under=90 coverage.xml
endif
ifdef COVERAGE3
	coverage3 run --branch --source tlslite -m unittest discover
	coverage3 report -m
	coverage3 xml
	diff-cover --fail-under=90 coverage.xml
endif
ifndef COVERAGE2
ifndef COVERAGE3
ifdef COVERAGE
	coverage run --branch --source tlslite -m unittest discover
	coverage report -m
	coverage xml
	diff-cover --fail-under=90 coverage.xml
endif
endif
endif

tests/TACK_Key1.pem:
	tack genkey -x -p test -o tests/TACK_Key1.pem

tests/TACK_Key2.pem:
	tack genkey -x -p test -o tests/TACK_Key2.pem

# the following needs to be used only when the server certificate gets recreated
gen-tacks: tests/TACK_Key1.pem tests/TACK_Key2.pem
	tack sign -x -k tests/TACK_Key1.pem -p test -c tests/serverX509Cert.pem -o tests/TACK1.pem
	tack sign -x -k tests/TACK_Key2.pem -p test -c tests/serverX509Cert.pem -o tests/TACK2.pem

=== debian/changelog ===
tlslite-ng (0.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #803977).

 -- Daniel Stender <debian@danielstender.com>  Mon, 08 Feb 2016 02:26:10 +0100

=== debian/control ===
Source: tlslite-ng
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-unittest2,
 python-mock,
 python-crypto,
 python-m2crypto,
 python-gmpy,
 python3-all,
 python3-crypto,
 pandoc,
 txt2man
Standards-Version: 3.9.6
Homepage: https://github.com/tomato42/tlslite-ng
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Testsuite: autopkgtest

Package: python-tlslite-ng
Architecture: all
Depends:
 ${python:Depends},
 python-crypto,
 python-m2crypto,
 python-gmpy,
 ${misc:Depends}
Breaks:
 python-tlslite (<= 0.3.8-2)
Description: pure Python implementation of SSL/TLS protocols
 tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
 and TLS (Transport Layer Security) cryptographic protocols for
 providing communication security for computer networks. It supports
 RSA and SRP ciphersuites.
 .
 tlslite-ng integrates well with several stdlib networking libraries. It aims
 to be a drop-in replacement for TLS lite (which is not in Debian anymore) while
 providing a more comprehensive set of features and more secure defaults.
 .
 Important: if you think about employing tlslite-ng for securing network
 connections please be sure to have read "11. Security Considerations" in the
 README.
 .
 This package provides the modules for Python 2.

Package: python3-tlslite-ng
Architecture: all
Depends:
 ${python3:Depends},
 python3-crypto,
 ${misc:Depends}
Description: pure Python3 implementation of SSL/TLS protocols
 tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
 and TLS (Transport Layer Security) cryptographic protocols for
 providing communication security for computer networks. It supports
 RSA and SRP ciphersuites.
 .
 tlslite-ng integrates well with several stdlib networking libraries. It aims
 to be a drop-in replacement for TLS lite (which is not in Debian anymore) while
 providing a more comprehensive set of features and more secure defaults.
 .
 Important: if you think about employing tlslite-ng for securing network
 connections please be sure to have read "11. Security Considerations" in the
 README.
 .
 This package provides the modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=tlslite-ng

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m unittest discover -v" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	mv debian/python-tlslite-ng/usr/bin/tls.py debian/python-tlslite-ng/usr/bin/tls-python2
	mv debian/python-tlslite-ng/usr/bin/tlsdb.py debian/python-tlslite-ng/usr/bin/tlsdb-python2
	mv debian/python3-tlslite-ng/usr/bin/tls.py debian/python3-tlslite-ng/usr/bin/tls-python3
	mv debian/python3-tlslite-ng/usr/bin/tlsdb.py debian/python3-tlslite-ng/usr/bin/tlsdb-python3

override_dh_installdocs:
	pandoc -f markdown -t plain -o .pybuild/README README.md
	dh_installdocs -A .pybuild/README

override_dh_installchangelogs:
	sed -n '/'12\ HISTORY'/,/'0.1.0'/p' .pybuild/README > .pybuild/CHANGELOG
	dh_installchangelogs .pybuild/CHANGELOG

override_dh_installman:
	txt2man -s 1 -v "python-tlslite-ng" -t "TLS-PYTHON2" -r "$(VERSION)" -d "$(DEBDATE)" debian/tls.txt > .pybuild/tls-python2.1
	txt2man -s 1 -v "python-tlslite-ng" -t "TLSDB-PYTHON2" -r "$(VERSION)" -d "$(DEBDATE)" debian/tlsdb.txt > .pybuild/tlsdb-python2.1
	txt2man -s 1 -v "python3-tlslite-ng" -t "TLS-PYTHON3" -r "$(VERSION)" -d "$(DEBDATE)" debian/tls.txt > .pybuild/tls-python3.1
	sed -i 's/-python2/-python3/g' .pybuild/tls-python3.1
	txt2man -s 1 -v "python3-tlslite-ng" -t "TLSDB-PYTHON3" -r "$(VERSION)" -d "$(DEBDATE)" debian/tlsdb.txt > .pybuild/tlsdb-python3.1
	sed -i 's/-python2/-python3/g' .pybuild/tlsdb-python3.1
	dh_installman

=== debian/tests/control ===
Tests: python-tlslite-ng
Depends: python-all, python-unittest2, python-mock, python-m2crypto

Tests: python3-tlslite-ng
Depends: python3-all

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/tlslite-ng-$1.tar.gz/" \
https://github.com/tomato42/tlslite-ng/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## tlslite-ng 0.5.2

=== debian/changelog ===
tlslite-ng (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Initialized git-dpm (added deb/.git-dpm).
  * deb/control:
    + updated maintainer email address.
    + bumped standards to 3.9.7 (no changes needed).
    + added Vcs-Git and Vcs-Browser fields.
    + dropped Testsuite field (deprecated).
    + put optional deps crypto, m2crypto and gmpy into Recommends.
    + use Replaces with Breaks, bumped version to latest one on
      snapshot.debian.org
    + expanded long description on supported protocols.
  * deb/copyright: updated.
  * deb/tests/python{,3}-tlslite-ng: removed bashism, cosmetics.

 -- Daniel Stender <stender@debian.org>  Tue, 29 Mar 2016 16:15:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tlslite-ng
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -15,27 +15,31 @@
  python3-crypto,
  pandoc,
  txt2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://github.com/tomato42/tlslite-ng
+Vcs-Git: https://github.com/danstender/tlslite-ng_debian.git
+Vcs-Browser: https://github.com/danstender/tlslite-ng_debian
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Testsuite: autopkgtest
 
 Package: python-tlslite-ng
 Architecture: all
 Depends:
  ${python:Depends},
+ ${misc:Depends}
+Recommends:
  python-crypto,
  python-m2crypto,
- python-gmpy,
- ${misc:Depends}
+ python-gmpy
 Breaks:
- python-tlslite (<= 0.3.8-2)
+ python-tlslite (<= 0.3.8-4)
+Replaces:
+ python-tlslite (<= 0.3.8-4)
 Description: pure Python implementation of SSL/TLS protocols
  tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
  and TLS (Transport Layer Security) cryptographic protocols for
  providing communication security for computer networks. It supports
- RSA and SRP ciphersuites.
+ SSLv3, TLSv1.0, TLSv1.1, TLSv1.2 and several ciphersuites.
  .
  tlslite-ng integrates well with several stdlib networking libraries. It aims
  to be a drop-in replacement for TLS lite (which is not in Debian anymore) while
@@ -51,13 +55,14 @@
 Architecture: all
 Depends:
  ${python3:Depends},
- python3-crypto,
  ${misc:Depends}
+Recommends:
+ python3-crypto
 Description: pure Python3 implementation of SSL/TLS protocols
  tlslite-ng is a Python implementation of SSL (Secure Sockets Layer)
  and TLS (Transport Layer Security) cryptographic protocols for
  providing communication security for computer networks. It supports
- RSA and SRP ciphersuites.
+ SSLv3, TLSv1.0, TLSv1.1, TLSv1.2 and several ciphersuites.
  .
  tlslite-ng integrates well with several stdlib networking libraries. It aims
  to be a drop-in replacement for TLS lite (which is not in Debian anymore) while

## tlslite-ng 0.6.0

=== debian/changelog ===
tlslite-ng (0.6.0-1+deb9u1) stretch; urgency=medium

  * add verify-mac-even-if-the-padding-is-1-byte-long.patch,
    providing fix for CVE-2018-1000159 (Closes: #895728).

 -- Daniel Stender <stender@debian.org>  Fri, 06 Jul 2018 21:55:56 +0200

tlslite-ng (0.6.0-1) unstable; urgency=medium

  * New upstream release:
    + add ecdsa and hypothesis to build-deps in deb/control, and DEP-8
      tests.
  * drop git-dpm patch regime:
    + remove deb/.git-dpm, add deb/gbp.conf.
  * deb/control:
    + update Vcs fields (source moved to collab-maint).
    + bumped standards to 3.9.8 (no changes needed).
  * deb/watch:
    + improve filenamemangle.

 -- Daniel Stender <stender@debian.org>  Wed, 16 Nov 2016 16:32:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,10 @@
  debhelper (>= 9),
  dh-python,
  python-all,
+ python-ecdsa,
+ python3-ecdsa,
+ python-hypothesis,
+ python3-hypothesis,
  python-unittest2,
  python-mock,
  python-crypto,
@@ -15,10 +19,10 @@
  python3-crypto,
  pandoc,
  txt2man
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/tomato42/tlslite-ng
-Vcs-Git: https://github.com/danstender/tlslite-ng_debian.git
-Vcs-Browser: https://github.com/danstender/tlslite-ng_debian
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlslite-ng.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlslite-ng.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2

## tlslite-ng 0.7.0

=== debian/changelog ===
tlslite-ng (0.7.0-3) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.1.3 (no changes needed).
    + Set Vcs-* to salsa.debian.org [Ondřej Nový]
  * deb/copyright:
    + expand copyright span to 2018.

 -- Daniel Stender <stender@debian.org>  Sun, 18 Feb 2018 21:55:28 +0100

tlslite-ng (0.7.0-2) unstable; urgency=medium

  * deb/control: bump deps against ecdsa of binary packages to Depends.

 -- Daniel Stender <stender@debian.org>  Tue, 08 Aug 2017 16:56:02 +0200

tlslite-ng (0.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 05 Aug 2017 21:48:00 +0200

tlslite-ng (0.6.0-2) unstable; urgency=medium

  * deb/gbp.conf:
    + change debian-branch to meet DEP-14.
    + add sign-tags switch, drop separate [import-orig] section.
  * deb/copyright:
    + use https in Format field (wanted by standards update).
    + drop Files-Excluded (not needed).
    + expand copyright span.
  * deb/control:
    + add DPMT as Uploaders.
    + sort build-deps more reasonable.
    + update Vcs fields (repo moved from collab-maint to python-modules).
    + add ecdsa to Recommends of binaries (Closes: #857908).
    + bump standards version to 4.0.0 (no further changes needed).
  * use debhelper level 10 (changes in deb/compat and deb/control).

 -- Daniel Stender <stender@debian.org>  Fri, 21 Jul 2017 18:35:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,35 @@
 Section: python
 Priority: optional
 Maintainer: Daniel Stender <stender@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all,
+ python3-all,
+ python-unittest2,
+ python-mock,
+ python-hypothesis,
+ python3-hypothesis,
  python-ecdsa,
  python3-ecdsa,
- python-hypothesis,
- python3-hypothesis,
- python-unittest2,
- python-mock,
  python-crypto,
+ python3-crypto,
  python-m2crypto,
  python-gmpy,
- python3-all,
- python3-crypto,
  pandoc,
  txt2man
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/tomato42/tlslite-ng
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/tlslite-ng.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tlslite-ng.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/tlslite-ng.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/tlslite-ng
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-tlslite-ng
 Architecture: all
 Depends:
+ python-ecdsa,
  ${python:Depends},
  ${misc:Depends}
 Recommends:
@@ -58,6 +60,7 @@
 Package: python3-tlslite-ng
 Architecture: all
 Depends:
+ python3-ecdsa,
  ${python3:Depends},
  ${misc:Depends}
 Recommends:

## tlslite-ng 0.7.4

=== Makefile ===
--- 
+++ 
@@ -27,12 +27,13 @@
 	rm -rf unit_tests/*.pyc
 	rm -rf unit_tests/__pycache__
 	rm -rf dist
-	rm -rf docs
 	rm -rf build
 	rm -f MANIFEST
+	$(MAKE) -C docs clean
 
+.PHONY : docs
 docs:
-	epydoc --html -v --introspect-only -o docs --graph all tlslite
+	$(MAKE) -C docs html
 
 dist: docs
 	./setup.py sdist
@@ -66,7 +67,7 @@
 	cd tests/ && PYTHONPATH=.. python ./tlstest.py client localhost:4433 .
 endif
 endif
-	epydoc --check --fail-on-error -v tlslite
+	$(MAKE) -C docs dummy
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" tlslite > pylint_report.txt || :
 	diff-quality --violations=pylint --fail-under=90 pylint_report.txt
 ifdef COVERAGE2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tlslite-ng.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tlslite-ng.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tlslite-ng"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tlslite-ng"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
tlslite-ng (0.7.4-1) unstable; urgency=medium

  * New upstream release (Closes: #895728). Includes fix of
    CVE-2018-1000159.
  * deb/control: bump standards to 4.1.4 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Sun, 15 Apr 2018 19:51:41 +0200

tlslite-ng (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * drop test-keyfactory-fix-m2cryptocheck.patch (fixed upstream).

 -- Daniel Stender <stender@debian.org>  Mon, 19 Mar 2018 16:50:40 +0100

tlslite-ng (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * add test-keyfactory-fix-m2cryptocheck.patch.

 -- Daniel Stender <stender@debian.org>  Mon, 12 Mar 2018 07:31:55 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python-gmpy,
  pandoc,
  txt2man
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/tomato42/tlslite-ng
 Vcs-Git: https://salsa.debian.org/python-team/modules/tlslite-ng.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tlslite-ng

=== debian/tests/control ===
Tests: python-tlslite-ng
Depends: python-all, python-unittest2, python-mock, python-m2crypto, python-ecdsa, python-hypothesis

Tests: python3-tlslite-ng
Depends: python3-all, python3-ecdsa, python3-hypothesis

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/tlslite-ng-$1.tar.gz/" \
https://github.com/tomato42/tlslite-ng/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## tlslite-ng 0.7.5

=== Makefile ===
--- 
+++ 
@@ -39,45 +39,56 @@
 	./setup.py sdist
 
 test:
-	cd tests/ && python ./tlstest.py server localhost:4433 . & sleep 1
-	cd tests/ && python ./tlstest.py client localhost:4433 .
+	python tests/tlstest.py server localhost:4433 tests & sleep 4
+	python tests/tlstest.py client localhost:4433 tests
 
 test-local:
-	cd tests/ && PYTHONPATH=.. python ./tlstest.py server localhost:4433 . & sleep 1
-	cd tests/ && PYTHONPATH=.. python ./tlstest.py client localhost:4433 .
+	PYTHONPATH=. COVERAGE_FILE=.coverage.server coverage run --branch --source tlslite tests/tlstest.py server localhost:4433 tests & sleep 4
+	PYTHONPATH=. COVERAGE_FILE=.coverage.client coverage run --branch --source tlslite tests/tlstest.py client localhost:4433 tests
 
 test-dev:
 ifdef PYTHON2
 	@echo "Running test suite with Python 2"
+ifndef COVERAGE2
 	python2 -m unittest discover -v
-	cd tests/ && PYTHONPATH=.. python2 ./tlstest.py server localhost:4433 . & sleep 1
-	cd tests/ && PYTHONPATH=.. python2 ./tlstest.py client localhost:4433 .
+else
+	coverage2 run --branch --source tlslite -m unittest discover
+endif
+	PYTHONPATH=. COVERAGE_FILE=.coverage.2.server coverage2 run --branch --source tlslite tests/tlstest.py server localhost:4433 tests & sleep 4
+	PYTHONPATH=. COVERAGE_FILE=.coverage.2.client coverage2 run --branch --source tlslite tests/tlstest.py client localhost:4433 tests
 endif
 ifdef PYTHON3
 	@echo "Running test suite with Python 3"
+ifndef COVERAGE2
 	python3 -m unittest discover -v
-	cd tests/ && PYTHONPATH=.. python3 ./tlstest.py server localhost:4433 . & sleep 1
-	cd tests/ && PYTHONPATH=.. python3 ./tlstest.py client localhost:4433 .
+else
+	coverage3 run --append --branch --source tlslite -m unittest discover
+endif
+	PYTHONPATH=. COVERAGE_FILE=.coverage.3.server coverage3 run --branch --source tlslite tests/tlstest.py server localhost:4433 tests & sleep 4
+	PYTHONPATH=. COVERAGE_FILE=.coverage.3.client coverage3 run --branch --source tlslite tests/tlstest.py client localhost:4433 tests
 endif
 ifndef PYTHON2
 ifndef PYTHON3
 	@echo "Running test suite with default Python"
+ifndef COVERAGE
 	python -m unittest discover -v
-	cd tests/ && PYTHONPATH=.. python ./tlstest.py server localhost:4433 . & sleep 1
-	cd tests/ && PYTHONPATH=.. python ./tlstest.py client localhost:4433 .
+else
+	coverage run --branch --source tlslite -m unittest discover
+endif
+	PYTHONPATH=. COVERAGE_FILE=.coverage.server coverage run --branch --source tlslite tests/tlstest.py server localhost:4433 tests & sleep 4
+	PYTHONPATH=. COVERAGE_FILE=.coverage.client coverage run --branch --source tlslite tests/tlstest.py client localhost:4433 tests
 endif
 endif
 	$(MAKE) -C docs dummy
 	pylint --msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" tlslite > pylint_report.txt || :
 	diff-quality --violations=pylint --fail-under=90 pylint_report.txt
 ifdef COVERAGE2
-	coverage2 run --branch --source tlslite -m unittest discover
+	coverage2 combine --append
 	coverage2 report -m
 	coverage2 xml
 	diff-cover --fail-under=90 coverage.xml
 endif
 ifdef COVERAGE3
-	coverage3 run --branch --source tlslite -m unittest discover
 	coverage3 report -m
 	coverage3 xml
 	diff-cover --fail-under=90 coverage.xml
@@ -85,7 +96,7 @@
 ifndef COVERAGE2
 ifndef COVERAGE3
 ifdef COVERAGE
-	coverage run --branch --source tlslite -m unittest discover
+	coverage combine --append
 	coverage report -m
 	coverage xml
 	diff-cover --fail-under=90 coverage.xml

=== debian/changelog ===
tlslite-ng (0.7.5-2) unstable; urgency=medium

  * deb/control:
    + bump standards to 4.2.1 (no further changes needed).
    + add !nocheck build profile switches to build-deps.
    + sort build-deps according to build-tests-docs.
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
  * drop empty debian/patches [Chris Lamb].
  * build with dh level 11 (changes in deb/compat und deb/control).

 -- Daniel Stender <stender@debian.org>  Fri, 02 Nov 2018 21:58:16 +0100

tlslite-ng (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  [ Ondřej Nový ]
  * d/control: Remove ancient X-{Python,3}-Version field.

 -- Daniel Stender <stender@debian.org>  Wed, 01 Aug 2018 12:15:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,26 @@
 Maintainer: Daniel Stender <stender@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python3-all,
- python-unittest2,
- python-mock,
- python-hypothesis,
- python3-hypothesis,
  python-ecdsa,
  python3-ecdsa,
- python-crypto,
- python3-crypto,
- python-m2crypto,
- python-gmpy,
+ python-unittest2 <!nocheck>,
+ python-mock <!nocheck>,
+ python-hypothesis <!nocheck>,
+ python3-hypothesis <!nocheck>,
+ python-crypto <!nocheck>,
+ python3-crypto <!nocheck>,
+ python-m2crypto <!nocheck>,
+ python-gmpy <!nocheck>,
  pandoc,
  txt2man
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/tomato42/tlslite-ng
 Vcs-Git: https://salsa.debian.org/python-team/modules/tlslite-ng.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/tlslite-ng
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-tlslite-ng
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
-#export DEB_BUILD_OPTIONS=nocheck
+export DH_VERBOSE=1
 export PYBUILD_NAME=tlslite-ng
 
 VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
